### Hierarchy

- BaseXmlComponent
  - XmlComponent
  - XmlAttributeComponent

## Index

### Constructors

- constructor

### Properties

- deleted
- rootKey

### Accessors

- isDeleted

### Methods

- prepForXml

## Constructors

### constructor

- new BaseXmlComponent(rootKey: string): BaseXmlComponent

- - Defined in file/xml-components/base.ts:5

  #### Parameters

  - ##### rootKey: string

  #### Returns BaseXmlComponent

## Properties

### Protected deleted

deleted: boolean = false

- Defined in file/xml-components/base.ts:5

### Protected rootKey

rootKey: string

- Defined in file/xml-components/base.ts:4

## Accessors

### isDeleted

- get isDeleted(): boolean

- - Defined in file/xml-components/base.ts:13

  #### Returns boolean

## Methods

### Abstract prepForXml

- prepForXml(): IXmlableObject

- - Defined in file/xml-components/base.ts:11

  #### Returns IXmlableObject

Generated using TypeDoc